#include <hmg.ch>
#define MY_BLUE { 128,255,255 }       
#define MY_GREY { 235,235,235 }        

*------------------------------------------------------------------------------*
FUNCTION Main()    
*------------------------------------------------------------------------------*
	SET DELETED ON
	SET SOFTSEEK OFF
	SET DATE FORMAT 'dd/mm/yyyy'    

	Load Window Main
	Main.Center
	Main.Activate
RETURN

*------------------------------------------------------------------------------*
FUNCTION OnInit_Main()
*------------------------------------------------------------------------------*
	ON KEY ESCAPE OF Main ACTION ThisWindow.Release
	OpenFiles()
RETURN	

*------------------------------------------------------------------------------*
FUNCTION OnRelease_Main()
*------------------------------------------------------------------------------*
	CloseFiles()
RETURN	

*------------------------------------------------------------------------------*
FUNCTION OpenFiles()
*------------------------------------------------------------------------------*
	USE ART ALIAS ART EXCLUSIVE NEW
	INDEX ON ArtID TO ARTL01 
	INDEX ON STR(GrpID) + STR(ArtID) TO ARTL02 
	INDEX ON STR(SupID) + STR(ArtID) TO ARTL03 
	INDEX ON ArtOm + STR(ArtID) TO ARTL04 
	DbCloseAll()
	USE ART ALIAS ART EXCLUSIVE NEW
	SET INDEX TO ARTL01, ARTL02, ARTL03, ARTL04
RETURN

*------------------------------------------------------------------------------*
FUNCTION CloseFiles()
*------------------------------------------------------------------------------*
	CLOSE ALL
RETURN

*------------------------------------------------------------------------------*
FUNCTION Main_Button_Close()
*------------------------------------------------------------------------------*
	Main.Release
RETURN

*------------------------------------------------------------------------------*
FUNCTION RecLocked( cArea )
*------------------------------------------------------------------------------*
	DO WHILE ! (cArea)->(RLock())
		IF ! MSGRetryCancel('Record Lock' , cArea)
			RETURN .F.
		ENDIF
	ENDDO
RETURN .T.

*------------------------------------------------------------------------------*
FUNCTION SetIndexColor( cSort )
*------------------------------------------------------------------------------*
RETURN IF( ORDBAGNAME() == cSort , MY_BLUE , MY_GREY )

*------------------------------------------------------------------------------*
FUNCTION Exist( cFile, cIndex, xSeekArg, lSoftSeek )
*------------------------------------------------------------------------------*
	LOCAL nIndex := (cFile)->(IndexOrd())
	LOCAL lFound
	DEFAULT lSoftSeek := .F.
	(cFile)->(DBSetorder(cIndex))
	IF (cFile)->(DBSeek( xSeekArg, lSoftSeek ))
		lFound := .T.
	ELSE
		lFound := .F.
	ENDIF
	(cFile)->(DBSetorder(nIndex))
RETURN lFound
	


